<?php
/**
 * Aliases for extension CodeReview
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'Code' => [ 'Code', 'CodeReview' ],
	'RepoAdmin' => [ 'RepoAdmin' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'Code' => [ 'كود', 'مراجعة_الكود' ],
	'RepoAdmin' => [ 'إدارة_المستودع' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'Code' => [ 'كود', 'مراجعة_الكود' ],
	'RepoAdmin' => [ 'ادارة_المستودع' ],
];

/** Assamese (অসমীয়া) */
$specialPageAliases['as'] = [
	'Code' => [ 'কোড', 'কোডৰিভিউ' ],
];

/** Avaric (авар) */
$specialPageAliases['av'] = [
	'Code' => [ 'Код' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'Code' => [ 'کوڈ' ],
	'RepoAdmin' => [ 'خزانه_ئی_مدیر' ],
];

/** Banjar (Bahasa Banjar) */
$specialPageAliases['bjn'] = [
	'Code' => [ 'Kode' ],
];

/** Breton (brezhoneg) */
$specialPageAliases['br'] = [
	'Code' => [ 'Kod' ],
];

/** Bosnian (bosanski) */
$specialPageAliases['bs'] = [
	'Code' => [ 'Kod', 'PregledKoda' ],
	'RepoAdmin' => [ 'RepoAdministracija' ],
];

/** Min Dong Chinese (Mìng-dĕ̤ng-ngṳ̄) */
$specialPageAliases['cdo'] = [
	'Code' => [ '代碼' ],
];

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = [
	'Code' => [ 'Код' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'Code' => [ 'Quelltext', 'Quelltextprüfung' ],
	'RepoAdmin' => [ 'Repositoriumsverwaltung' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'Code' => [ 'Qode', 'VerasayışaQoder' ],
	'RepoAdmin' => [ 'AdminéRepoy' ],
];

/** Lower Sorbian (dolnoserbski) */
$specialPageAliases['dsb'] = [
	'Code' => [ 'Žrědłowy_tekst' ],
];

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = [
	'Code' => [ 'Kodo' ],
];

/** Spanish (español) */
$specialPageAliases['es'] = [
	'Code' => [ 'Código', 'RevisarCódigo' ],
];

/** Basque (euskara) */
$specialPageAliases['eu'] = [
	'Code' => [ 'Kodea' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'Code' => [ 'کد' ],
	'RepoAdmin' => [ 'مدیر_مخزن' ],
];

/** Finnish (suomi) */
$specialPageAliases['fi'] = [
	'Code' => [ 'Koodin_katselmointi' ],
];

/** Gagauz (Gagauz) */
$specialPageAliases['gag'] = [
	'Code' => [ 'Kod' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'Code' => [ 'Código', 'Revisión_do_código' ],
];

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = [
	'Code' => [ 'Quälltäxt' ],
];

/** Gujarati (ગુજરાતી) */
$specialPageAliases['gu'] = [
	'Code' => [ 'સંજ્ઞા', 'સંજ્ઞાપરીક્ષણ' ],
];

/** Hawaiian (Hawai`i) */
$specialPageAliases['haw'] = [
	'Code' => [ 'Pāʻālua', 'Paalua' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'Code' => [ 'סקירת_קוד' ],
	'RepoAdmin' => [ 'ניהול_מאגר' ],
];

/** Croatian (hrvatski) */
$specialPageAliases['hr'] = [
	'Code' => [ 'Kod' ],
	'RepoAdmin' => [ 'Admin_repozitorija' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'Code' => [ 'Žórłowy_tekst' ],
];

/** Xiang Chinese (湘语) */
$specialPageAliases['hsn'] = [
	'Code' => [ '编码', '编码审查' ],
];

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = [
	'Code' => [ 'Kòd', 'RevizeKòd' ],
	'RepoAdmin' => [ 'DepoAdmin' ],
];

/** Hungarian (magyar) */
$specialPageAliases['hu'] = [
	'Code' => [ 'Kód' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'Code' => [ 'Codice', 'Recension_de_codice' ],
	'RepoAdmin' => [ 'Admin_deposito' ],
];

/** Indonesian (Bahasa Indonesia) */
$specialPageAliases['id'] = [
	'Code' => [ 'Kode', 'Tinjauan_kode', 'TinjauanKode' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'Code' => [ 'Codice' ],
	'RepoAdmin' => [ 'AdminRepo' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'Code' => [ 'コード', 'コードレビュー' ],
	'RepoAdmin' => [ 'リポジトリ管理' ],
];

/** Georgian (ქართული) */
$specialPageAliases['ka'] = [
	'Code' => [ 'კოდი' ],
];

/** Khmer (ភាសាខ្មែរ) */
$specialPageAliases['km'] = [
	'Code' => [ 'កូដ' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'Code' => [ '코드', '코드검토' ],
	'RepoAdmin' => [ '저장소관리자' ],
];

/** Colognian (Ripoarisch) */
$specialPageAliases['ksh'] = [
	'Code' => [ 'Quelltäx' ],
	'RepoAdmin' => [ 'Repositorijum_Verwallde', 'Repusitorijum_Verwallde' ],
];

/** Cornish (kernowek) */
$specialPageAliases['kw'] = [
	'Code' => [ 'Koden' ],
];

/** Ladino (Ladino) */
$specialPageAliases['lad'] = [
	'Code' => [ 'Kóddiche' ],
	'RepoAdmin' => [ 'RépoAdmin' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'Code' => [ 'Quelltext' ],
];

/** Northern Luri (لۊری شومالی) */
$specialPageAliases['lrc'] = [
	'Code' => [ 'رازینە', 'ڤانئیأری_رازینە' ],
	'RepoAdmin' => [ 'سأردیڤوٙنیار' ],
];

/** Malagasy (Malagasy) */
$specialPageAliases['mg'] = [
	'Code' => [ 'Kaody' ],
	'RepoAdmin' => [ 'Petrakaodimpandrindra' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'Code' => [ 'ПрограмскиКод', 'Код', 'ПрегледНаКод' ],
	'RepoAdmin' => [ 'АдминНаСкладиштето' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'Code' => [ 'മൂലരൂപം', 'മൂലരൂപസംശോധനം' ],
	'RepoAdmin' => [ 'റെപ്പോകാര്യനിർവാഹകൻ' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'RepoAdmin' => [ 'रेपोप्रचालक' ],
];

/** Maltese (Malti) */
$specialPageAliases['mt'] = [
	'Code' => [ 'Kodiċi' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'Code' => [ 'Kode' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = [
	'Code' => [ 'Kode_naokieken' ],
	'RepoAdmin' => [ 'Repobeheer' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'Code' => [ 'Codecontrole' ],
	'RepoAdmin' => [ 'Repobeheer' ],
];

/** Norwegian Nynorsk (norsk nynorsk) */
$specialPageAliases['nn'] = [
	'Code' => [ 'Kode' ],
];

/** Punjabi (ਪੰਜਾਬੀ) */
$specialPageAliases['pa'] = [
	'Code' => [ 'ਕੋਡ' ],
];

/** Polish (polski) */
$specialPageAliases['pl'] = [
	'Code' => [ 'Kod' ],
	'RepoAdmin' => [ 'Administrowanie_repozytorium' ],
];

/** Brazilian Portuguese (português do Brasil) */
$specialPageAliases['pt-br'] = [
	'Code' => [ 'Código', 'Revisão_de_código' ],
	'RepoAdmin' => [ 'Administrador_do_repositório' ],
];

/** Russian (русский) */
$specialPageAliases['ru'] = [
	'Code' => [ 'Код' ],
];

/** Sanskrit (संस्कृतम्) */
$specialPageAliases['sa'] = [
	'Code' => [ 'संकूटसङ्केतावलोकन' ],
	'RepoAdmin' => [ 'रेपोप्रचालक' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'Code' => [ 'Codice' ],
	'RepoAdmin' => [ 'AdminRepo' ],
];

/** Slovak (slovenčina) */
$specialPageAliases['sk'] = [
	'Code' => [ 'Kód', 'KontrolaKódu' ],
	'RepoAdmin' => [ 'SprávcaÚložiska' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'Code' => [ 'Kod', 'Kodgranskning' ],
];

/** Swahili (Kiswahili) */
$specialPageAliases['sw'] = [
	'Code' => [ 'Kodi', 'Onyesha kodi' ],
	'RepoAdmin' => [ 'TaarifuMkabidhi' ],
];

/** Tagalog (Tagalog) */
$specialPageAliases['tl'] = [
	'Code' => [ 'Kodigo', 'Pagsusuri_ng_kodigo' ],
	'RepoAdmin' => [ 'Tagapangasiwa_ng_repositoryo' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'Code' => [ 'Kod' ],
	'RepoAdmin' => [ 'RepoHizmetli', 'RepoYönetici' ],
];

/** Ukrainian (українська) */
$specialPageAliases['uk'] = [
	'Code' => [ 'Код' ],
];

/** Venetian (vèneto) */
$specialPageAliases['vec'] = [
	'Code' => [ 'Còdese' ],
];

/** Veps (vepsän kel’) */
$specialPageAliases['vep'] = [
	'Code' => [ 'Kod' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'Code' => [ 'Mã_nguồn', 'Mã', 'Duyệt_mã' ],
	'RepoAdmin' => [ 'Quản_lý_kho', 'Quản_lí_kho' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'Code' => [ '代码', '代码复核' ],
	'RepoAdmin' => [ '信息库管理' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'Code' => [ '程式碼', '程式碼審查' ],
	'RepoAdmin' => [ '儲存庫管理' ],
];
